package tree

import "fmt"

type TreeMenuNode struct {
	Name          string
	Perent, Child *TreeMenuNode
}

/*
为结构体定义方法


*/
// 值接收者
func (node TreeMenuNode) Print() {
	fmt.Println(node.Name)
}

//指针接收者
func (node *TreeMenuNode) SetName(name string) {
	if node == nil {
		fmt.Println(" Setting value to nil node. Ignorde.")
		return
	}
	node.Name = name
}

// 工厂函数定义
func CraeteTreeMenuNode(name string) *TreeMenuNode {
	return &TreeMenuNode{Name: name}
}
